#include <iostream>
#include <fstream>
#include <cmath>
using namespace std;
int main()
{
    ifstream fi("daods.inp");
    int64_t n;
    fi>>n;
    int64_t a[n];
    for(int64_t i=1;i<=n;i++)
    {
        fi>>a[i];
    }
    fi.close();
    ofstream fo("daods.out");
    for(int64_t i=n;i>=1;i--)
    {
        fo<<a[i]<<endl;
    }
}
